import { declare } from '@babel/helper-plugin-utils';
import { types } from '@babel/core';

var index = declare(api => {
  api.assertVersion("8.0.0-alpha.12");
  return {
    name: "transform-strict-mode",
    visitor: {
      Program(path) {
        const {
          node
        } = path;
        for (const directive of node.directives) {
          if (directive.value.value === "use strict") return;
        }
        path.unshiftContainer("directives", types.directive(types.directiveLiteral("use strict")));
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
